*
* ==================================================
*
*   LCD1E.asm       LCD Message  
*                                 
*   Version:        1.0   Released 3/07/2003
*   Author:         Gary Karnes 
*   Compiler:       As11
*   Platform:       Axiom CME11E9-EVBU
*   Purpose:        LCD Control  
*   
* ==================================================
*  Hardware
*   AXIOM LCD 
*
* LCD Display program
* Example: Call 0100
*  
*          equates
End        equ $00         * end of message 
LCD_CMD    equ $B5F0       * LCD command address
LCD_DATA   equ $B5F1       * LCD Data address
*
*
           org $0100
*
           ldaa #$3C       * Setup LCD for 8 bit interface
           staa LCD_CMD    * send command
           bsr  Delay      * Delay
           ldaa #$0F       * Display On, blinking cursor
           staa LCD_CMD    * send command
           bsr  Delay      * Delay
           ldaa #$01       * Clear display, return to home
           staa LCD_CMD    * send command
           bsr  Delay      * Delay
           ldx  #Running   * message to display
           bsr  String     * send message
           rts             * return
* 
*
* This subroutine will send a string to LCD
String     
           ldaa 0,x        * load char pointer to by X
           beq  StringE    * Quit if End
           staa LCD_DATA   * send to LCD
           inx             * increment pointer
           bsr  Delay      * delay
           bra  String     * repeat until end of string
StringE
           rts
*
* This subroutine will Delay for the LCD
Delay
           Ldy  #$ffff     * load a delay value
DelayLp
           dey             * decrement count
           bne  DelayLp    * continue delay
           rts             * return
*
* Message to display
Running    fcc  'Running'  * message running
           fcb  End
*
*